Package com.sun.speech.freetts.diphone

# Class DiphonePitchmarkGenerator

java.lang.Object
com.sun.speech.freetts.diphone.DiphonePitchmarkGenerator

All Implemented Interfaces:
  `UtteranceProcessor`

public class DiphonePitchmarkGenerator extends Object implements UtteranceProcessor
Calculates pitchmarks. This is an utterance processor that expects the utterance to have a target relation. It will create an LPCResult and add it to the utterance based upon features of the target relation.

See Also:
  - `LPCResult`
  - `Relation`
  - `SampleInfo`

## Constructor Summary

Constructors
Constructor
Description
`DiphonePitchmarkGenerator()`

## Method Summary

Modifier and Type
Method
Description
`void`
`processUtterance(Utterance utterance)`
Generates the LPCResult for this utterance.
`String`
`toString()`
Returns a string representation of this object.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### DiphonePitchmarkGenerator

public DiphonePitchmarkGenerator()

## Method Details

### processUtterance

public void processUtterance(Utterance utterance) throws ProcessException
Generates the LPCResult for this utterance.

Specified by:
  `processUtterance` in interface `UtteranceProcessor`
Parameters:
  `utterance` - the utterance to process
Throws:
  `ProcessException` - if an error occurs while processing the utterance
  `IllegalStateException` - if the given utterance has no relation named Relation.TARGET or a feature named SampleInfo.UTT_NAME

### toString

public String toString()
Returns a string representation of this object.

Overrides:
  `toString` in class `Object`
Returns:
  a string representation of this object